/**********************************************************************
 
	Copyright (C) 2004 
	Tomohito Nakajima <nakajima@zeta.co.jp>

	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/

#include	"machine/gb_windows.h"
#include	"memory_debug.h"
#include	"utils.h"

char *
m_getcwd(char *buf, int buf_size)
{
	if(GetCurrentDirectory(buf_size, buf) == 0){
		return NULL;
	}
	else{
		return buf;
	}
}
